Bug 64206 - disk corruption: du reports incorrect file size
disk corruption: du reports incorrect file size
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 04:16 EDT by Adrian Miranda
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-29 04:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Miranda 2002-04-29 04:16:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20020104

Description of problem:
We are having problems where a file appears to be larger than it really is. 
That is, when you run ls, it shows the file to be some reasonable number of
bytes.  However, when you run the du command on the file, it indicates the file
is some insane size, like 1 Gig (when it's really 100 Meg).

If you force an fsck, the system prints lots of messages about files having
incorrect block counts (I think that's the error).  Then when you check the
file, it appears to be fixed, the du command reports a reasonable size.

Version-Release number of selected component (if applicable): 2.4.9-31


How reproducible:
Sometimes

Steps to Reproduce:
1.I don't really have a good way to reproduced it, other than to run the system
until the problem occurs (it has shown up twice in the last 2-3 weeks.
2.So far, I've only noticed this with a particular file that grows at a fairly
fast rate (perhaps 200Meg a day).  After a week or so, du seems to start
reporting crap.
3.
	

Additional info:

This is happening on a Dell GX1, with a Pentium 3 (I think) at around 500MHz. 
It has a 6 Gig IDE drive.  I am running the 2.4.9-31 kernel.
Comment 1 Arjan van de Ven 2002-04-29 04:57:22 EDT
Can you attach the output of the "lsmod", "lspci" and "dmesg" commands to this
bug ?
Comment 2 Arjan van de Ven 2002-09-05 05:33:02 EDT
no info

Note You need to log in before you can comment on or make changes to this bug.